package mtp.polymer.com.autowidget.recyclerview

import android.annotation.SuppressLint
import android.content.Context
import androidx.recyclerview.widget.LinearLayoutManager


@SuppressLint("WrongConstant")
class LinearLayoutManagerWrapper(context: Context?, orientation: Int = LinearLayoutManager.VERTICAL, reverseLayout: Boolean = false) : LinearLayoutManager(context, orientation, reverseLayout) {

    var scrollEnable = true

    override fun canScrollVertically(): Boolean {
        return super.canScrollVertically().and(scrollEnable)
    }

    override fun canScrollHorizontally(): Boolean {
        return super.canScrollHorizontally().and(scrollEnable)
    }

}